import request from '@/utils/request'

// 获取筛选条件
export function getArticleGroup(data) {
  return request({
    url: '/article/GetArticleGroup',
    method: 'get',
    params: data
  })
}
// 添加文章类型筛选条件
export function AddArticleGroup(data) {
  return request({
    url: '/article/AddArticleGroup',
    method: 'get',
    params: data
  })
}
// 获取社区列表
export function getList(data) {
  return request({
    url: '/article/getarticlelist',
    method: 'get',
    params: data
  })
}

// 删除社区文章
export function setDelete(data) {
  return request({
    url: '/article/destoryarticle',
    method: 'post',
    data
  })
}

// 添加社区文章
export function setAdd(data) {
  return request({
    url: '/article/uploadarticle',
    method: 'post',
    data
  })
}

// 修改社区文章
export function setEdit(data) {
  return request({
    url: '/article/updatearticle',
    method: 'post',
    data
  })
}

// 上传音频
export function uploadAudio(data) {
  return request({
    url: '/article/upload_audio',
    method: 'post',
    data
  })
}
// 上传视频
export function uploadVideo(data) {
  return request({
    url: '/article/upload_video',
    method: 'post',
    data
  })
}
